<template>
  <form autocomplete="off" @submit.prevent="form.put('/profile/changePassword')">
    <div class="container mx-auto mt-10 p-6 bg-white shadow-md rounded-md">
      <h2 class="text-2xl font-bold text-center mb-6">Change Account Password</h2>
      <hr class="mb-6 border-gray-300" />
      <div class="flex flex-col items-center">
        <div class="w-full max-w-md">
          <!-- Old Password -->
          <div class="mb-4">
            <label for="oldPassword" class="block text-sm font-medium text-gray-700">Old Password</label>
            <input type="password" id="oldPassword" v-model="form.oldPassword" class="mt-1 p-2 block w-full border border-gray-300 rounded-md shadow-sm focus:ring-blue-500 focus:border-blue-500" placeholder="Enter old password" />
            <div v-if="form.errors.oldPassword" class="text-sm text-red-600 mt-1">
              {{ form.errors.oldPassword }}
            </div>
          </div>
          <!-- New Password -->
          <div class="mb-4">
            <label for="newPassword" class="block text-sm font-medium text-gray-700">New Password</label>
            <input type="password" id="newPassword" v-model="form.newPassword" class="mt-1 p-2 block w-full border border-gray-300 rounded-md shadow-sm focus:ring-blue-500 focus:border-blue-500" placeholder="Enter new password" />
            <div v-if="form.errors.newPassword" class="text-sm text-red-600 mt-1">
              {{ form.errors.newPassword }}
            </div>
          </div>
          <!-- Confirm Password -->
          <div class="mb-4">
            <label for="confirmPassword" class="block text-sm font-medium text-gray-700">Confirm Password</label>
            <input type="password" id="confirmPassword" v-model="form.confirmPassword" class="mt-1 p-2 block w-full border border-gray-300 rounded-md shadow-sm focus:ring-blue-500 focus:border-blue-500" placeholder="Confirm new password" />
            <div v-if="form.errors.confirmPassword" class="text-sm text-red-600 mt-1">
              {{ form.errors.confirmPassword }}
            </div>
          </div>
          <!-- Submit Button -->
          <div class="mt-6">
            <button type="submit" class="w-full py-2 px-4 bg-blue-600 text-white font-semibold rounded-md shadow-sm hover:bg-blue-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-blue-500">
              Change Password
            </button>
          </div>
        </div>
      </div>
    </div>
  </form>
</template>

<script setup>
import { useForm } from '@inertiajs/vue3';

const form = useForm({
  oldPassword: '',
  newPassword: '',
  confirmPassword: ''
});
</script>
